package com.axelor.apps.purchase.service;

import java.net.MalformedURLException;
import java.util.List;

import com.axelor.apps.purchase.db.ImportationFolder;
import com.axelor.apps.purchase.db.PurchaseOrder;
import com.axelor.exception.AxelorException;

import wslite.json.JSONException;

public interface ImportationFolderService {

    public void draftImportationFolder(ImportationFolder importationFolder);

    public void openImportationFolder(ImportationFolder importationFolder) throws AxelorException;

    public void closeImportationFolder(ImportationFolder importationFolder);

    public void cancelImportationFolder(ImportationFolder importationFolder);

    public void calculateSum(List<PurchaseOrder> purchaseOrders,ImportationFolder importationFolder) throws MalformedURLException, JSONException, AxelorException;
}